QGIS Application - Bug report #11354
Labels: special font styles disappears after SVG export
2014-10-08 03:03 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 19645
Description

I'm right now making a map which uses the font Univers which has a lot of styles outside the normal bold, italic etc. I'm using the style "47
Light Condensed Oblique" which looks great in QGIS but when | export the map without "draw text as outlines” ticked the font exports as
"Univers LT Std" and with style italic.
<text fill="#000000" fill-opacity="1" stroke="none" xml:space="preserve" x="0" y="0" font-family="Univers LT Std" font-size="60"
font-weight="400" font-style="italic">

I'm not sure if this is a limitation in the SVG format or if QGIS forgets this special style when exporting?

Also, I'm using QGIS on a Mac running Maverics.

History

#1 - 2014-10-08 08:11 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Map Composer/Printing

That checkbox it active and it not possible to uncheck it on both Windows and Linux, qgis 2.4 and master. And since it is checked then the fonts are

exported as expected.

#2 - 2015-12-19 10:33 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
